<template lang="pug">
.container.mx-auto.px-2.pt-3
  .grid.grid-cols-12.navbar
    .col-span-3
      img(
        alt="App Logo"
        src="../assets/logo.png"
      )
    .col-span-6.flex.items-center.justify-center.menu
      router-link.item.mx-2(
        :to="item.link"
        v-for="item in menuLists" 
        exact
      ) {{ item.name }}
    .col-span-3.flex.items-center.justify-end
      .flex.profile-btn.items-center
        div.main.flex.rounded-2xl
          div.left.px-2.py-1.rounded-2xl LOGIN
          div.right.pl-2.pr-4.py-1
            img(
              alt="Profile"
              src="../assets/profile.png"
            )
</template>
<script>
export default {
  name: 'NavBar',
  data: ()=>{
    return {
      menuLists: [
        {
          name: 'หน้าหลัก',
          link: '/'
        },
        {
          name: 'เกี่ยวกับเรา',
          link: '/test'
        },
        {
          name: 'ข่าวสาร',
          link: '#'
        },
        {
          name: 'ติดต่อสอบถาม',
          link: '#'
        },
      ]
  }
  }
}
</script>
<style lang="scss" scoped>
  .navbar {
    border-bottom: 1px;
    border-color: #015B7F;
    border-style: solid;
    padding-bottom: 20px;
  }
  .menu {
    .item {
      cursor : pointer;
      &:hover {
        text-decoration: underline;
        text-decoration-thickness: 3px;
        text-decoration-color: #F89C1E;
        text-underline-offset: 10px;
      }
    }
  }
  .profile-btn {
    .main
    {
      cursor: pointer;
      background: #015B7F;
      .left {
        color:white;
        background: #02C3D4;
        font-weight: 300;
        font-size: 16px;
      }
      .right
      {
        img{
          max-width: 22px;
        }
      }
    }
    
  }
</style>